petsc-3.10.5 2019-03-28
Report Typos and Errors

# ISLoad

Loads a vector that has been stored in binary or HDF5 format with ISView().

### Synopsis

    #include "petscis.h"
    PetscErrorCode ISLoad(IS is, PetscViewer viewer)

Collective on PetscViewer

### Input Parameters

| is | - the newly loaded vector, this needs to have been created with ISCreate() or some related function before a call to ISLoad().
| viewer | - binary file viewer, obtained from PetscViewerBinaryOpen() or HDF5 file viewer, obtained from PetscViewerHDF5Open()

### Notes

IF using HDF5, you must assign the IS the same name as was used in the IS that was stored in the file using PetscObjectSetName(). Otherwise you will get the error message: "Cannot H5DOpen2() with Vec name NAMEOFOBJECT"

### See Also

PetscViewerBinaryOpen(), ISView(), MatLoad(), VecLoad()

### Level

intermediate

### Location

src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages